Page MenuHomePhabricator

Please unblock stuck global renames
Closed, ResolvedPublic

Description

Citycarclubfi → Urbaanimies

LaurenceKingPublishing → Fiona at Laurence King Publishing

These two have been stuck for 3+ hours on meta.wikimedia.org.

Event Timeline

Nihlus created this task.Feb 26 2019, 9:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tgr added a subscriber: Tgr.Feb 26 2019, 10:53 PM

Fallout from T217146: ConfigException from line 339 of /srv/mediawiki/php-1.33.0-wmf.19/extensions/EventBus/includes/EventBus.php: EventBus::getInstance requires a configured $eventServiceName, which was an issue with job scheduling, and the rename jobs proceed by rescheduling themselves for the next wiki when they are finished. So everything should be in a clean state, just needs to be scheduled again. Although maybe we should wait for the patch to fixStuckGlobalRename to avoid getting fake unconnceted accounts again.

@Tgr Renames processed after those have seemingly gone through okay. Do we know when the fixStuckGlobalRename patch goes live?

Mentioned in SAL (#wikimedia-operations) [2019-02-26T23:37:22Z] <tgr> T217203 running mwscript ~/fixStuckGlobalRename.php --wiki=metawiki --logwiki=metawiki 'Citycarclubfi' 'Urbaanimies'

Mentioned in SAL (#wikimedia-operations) [2019-02-26T23:39:11Z] <tgr> T217203 running mwscript ~/fixStuckGlobalRename.php --wiki=metawiki --logwiki=metawiki 'LaurenceKingPublishing' 'Fiona at Laurence King Publishing'

Tgr closed this task as Resolved.Feb 26 2019, 11:40 PM
Tgr claimed this task.

Duh. Both rename processes got stuck on the last wiki so it would have been fine without the patch. Anyway, done now.

Sakretsu added a subscriber: Sakretsu.EditedFeb 27 2019, 2:57 PM

Please, notice that this rename (Rauman Kaupunginteatteri → Petteri Kangas) took about 20 minutes to complete. Even though it was approved at 12:52, every local account was still in queue according to rename progress special page. The rename actually started at around 13:05 when only fi.wiki was marked as done, and the process slowly ended in the next few minutes.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Aug 28 2019, 7:38 PM